suggested Update to 3.0.1 fails, Z-Way installation corrupt!

Discussions about Z-Way software and Z-Wave technology in general
michap
Posts: 341
Joined: 26 Mar 2013 10:35
Contact:

suggested Update to 3.0.1 fails, Z-Way installation corrupt!

Post by michap » 11 Oct 2019 21:56

Hi,

I tried today an uprade to new firmware (from 3.0.0 to 3.0.1) - was suggested in interface.

Upgrade finished with a message about a disabled webinterface (?) (do not remember in detail).

I have seen that still 3.0.0 was running and wanted to restart Z-Way - but in /etc/init.d/ was no more z-way-server command :!:

So a restart would not be possible more.
I have killed the running process and tried to reinstall manual via console the current version.

Had to use apt-get remove and purge for removing old app. (there were no productive data inside, it is a review enviroment only...)
After that was installed the current version at new - but again without the start/stop script - AND: without any files in /opt folder !!

Have no running Z-Way in this time - any idea??

So I suggest to be very patient while updating, not sure why this happen.

Michael

RPJacobs
Posts: 8
Joined: 23 Mar 2017 11:41

Re: suggested Update to 3.0.1 fails, Z-Way installation corrupt!

Post by RPJacobs » 12 Oct 2019 16:01

I have the same problem....

CYberF0x
Posts: 4
Joined: 13 Oct 2019 00:01

Re: suggested Update to 3.0.1 fails, Z-Way installation corrupt!

Post by CYberF0x » 13 Oct 2019 00:05

I have the same problem, more or less. Upgrade to Raspbian GNU/Linux 9 (stretch) and manually copying the config.xml from an old update gets the z-way-server to start. but all devices are gone! I have also no start script and many things missing.

root@raspberrypi:/opt/z-way-server# ./z-way-server
Z-Way version v3.0.0 from 2019-07-18 02:47:11 +0300 (build fabbd8c917ba3564c3cee86f3baca2e04da1892f)
Looking for modules in ./modules
Module modskininstaller.so loaded
Module modinstaller.so loaded
Module modsockets.so loaded
Module modhomekit.so loaded
Module modcrypto.so loaded
Module modiconinstaller.so loaded
Module modzbw.so loaded
Module modnotification2ext.so loaded
Module modzwave.so loaded
Module moddhs.so loaded
Module modhttp.so loaded
Module modws.so loaded
Module modenocean.so loaded
Using default configuration file config.xml
Error: 'debug-port' number is out of range. Skipping it.
cat: /etc/z-way/box_type: No such file or directory

Michael74
Posts: 4
Joined: 22 Mar 2016 00:18

Re: suggested Update to 3.0.1 fails, Z-Way installation corrupt!

Post by Michael74 » 13 Oct 2019 20:12

Can confirm similar issue here.

Had to roll-back to 2.3,8 to get all working again.

michap
Posts: 341
Joined: 26 Mar 2013 10:35
Contact:

Re: suggested Update to 3.0.1 fails, Z-Way installation corrupt!

Post by michap » 13 Oct 2019 20:24

Michael74 wrote:
13 Oct 2019 20:12
Had to roll-back to 2.3,8 to get all working again.
is working with

Code: Select all

wget -q -O - razberry.z-wave.me/install/v2.3.8 | sudo bash
... but this cannot be the solution ;)

@PoltoS - is there a right solution in sight?

micky1500
Posts: 96
Joined: 07 Feb 2016 16:29

Re: suggested Update to 3.0.1 fails, Z-Way installation corrupt!

Post by micky1500 » 13 Oct 2019 20:38

I did the same upgrade.
After reboot... nothing running from z-way.
Tried a forced upgrade in BASH.. failed.
I had backups, so uninstalled and started fresh.

sudo apt-get remove z-way-server
wget -q -O - https://storage.z-wave.me/RaspbianInstall | sudo bash
now working on 3.0.1
Raspi 3(Stretch), Zwave.me 3.0.0

michap
Posts: 341
Joined: 26 Mar 2013 10:35
Contact:

Re: suggested Update to 3.0.1 fails, Z-Way installation corrupt!

Post by michap » 13 Oct 2019 20:59

micky1500 wrote:
13 Oct 2019 20:38
sudo apt-get remove z-way-server
wget -q -O - https://storage.z-wave.me/RaspbianInstall | sudo bash
now working on 3.0.1
I made the same multiple times today - no success.

I think you have not removed the old files from /opt/z-way-server that's why the installation made it work again (with existing files).

equathza
Posts: 12
Joined: 10 Aug 2015 20:15

Re: suggested Update to 3.0.1 fails, Z-Way installation corrupt!

Post by equathza » 02 Nov 2019 14:40

Upgrade to 3.0.1 with:

Code: Select all

# wget https://storage.z-wave.me/z-way-server/z-way-3.0.1_armhf.deb
# sudo dpkg -i z-way-3.0.1_armhf.deb

michap
Posts: 341
Joined: 26 Mar 2013 10:35
Contact:

Re: suggested Update to 3.0.1 fails, Z-Way installation corrupt!

Post by michap » 02 Nov 2019 19:33

@equathza: Thanks, yes, it will work.

But the main problem is that the Upgrade via UI failed - this will be used by most users.
Second try of users (who want to work with shell) will be the documented upgrade link above - and it is not working too.

I think there is/was a mistake in the install script, and this should be fixed.

Anyway - thanks for your solution, it can help to upgrade ;)

Michael

User avatar
PoltoS
Posts: 5056
Joined: 26 Jan 2011 19:36

Re: suggested Update to 3.0.1 fails, Z-Way installation corrupt!

Post by PoltoS » 02 Nov 2019 22:23

3.0.1 is only for Buster. On Stretch 3.0.0 is the latest. You can explicitly install it, but the script will reinstall v3.0.0

Post Reply